package main
import (
	"fmt"
	"image"
	"os"
	"image/png"
	_ "image/jpeg"
)
func main() {
	// 開くファイル名
	file, err := os.Open("/images/test.jpg")
	if err != nil {
		fmt.Println("ファイルが開けませんでした。")
		os.Exit(1)
	}
	defer file.Close()
	// JPEG画像を解析（デコード）する
	m, _, err := image.Decode(file)
	if err != nil {
		fmt.Println("画像を解析できませんでした。")
		os.Exit(1)
	}
	// 保存するファイル名
	savefile, err := os.Create("/images/test123.png")
	if err != nil {
		fmt.Println("保存するためのファイルが作成できませんでした。")
		os.Exit(1)
	}
	defer savefile.Close()
	// PNG形式で保存する
	png.Encode(savefile, m)
}
